• Linux Debian Ubuntu How To Install PEPPER Faster and Latest Adobe Flash Player in Firefox


    Just run this apt install command sudo apt install pepperflashplugin-nonfree browser-plugin-freshplayer-pepperflash After this restart your browser and check Adobe's site to verify if your Pepper flash is working and showing at least version 32. https://helpx.adobe.com/flash-player.html As you'll see below it will download the latest version which is currently 32 and this was not possible with the old/crappy deprecated adobe-flash plu........
  • using Xvfb on virtual remote ssh server to have X graphical programs work


    Install xvfb apt install xvfb Reading package lists... Done Building dependency tree Reading state information... Done The following additional packages will be installed: libxfont1 libxkbfile1 x11-xkb-utils xauth xfonts-base xfonts-encodings xfonts-utils xserver-common The following NEW packages will be installed: libxfont1 libxkbfil........
  • Ubuntu Debian Linux Mint r8169 r8168 Network Driver Problem and Solution


    This problem has been around forever, Linux seems to think it is fine to use the r8169 driver for an r8168 NIC but this often causes problems including the link not working at all. In my case ethttool shows the link up and detected but it simply does not work especially on a laptop that has been resumed from suspension. Sometimes it takes several minutes for it to work or to unplug and replug the ethernet. Here is the solution: Install th........
  • Debian Ubuntu and Linux Mint Broken Kernel After Date - New Extra Module Naming Convention


    This is something I've seen some run into. Take an old install of Linux Mint 18.1 ii linux-image-4.4.0-53-generic 4.4.0-53.74 amd64 Linux kernel image for version 4.4.0 on 64 bit x86 SMP i........
  • hwloc-nox set CPU affinity in Linux


    sudo apt-get install hwloc-nox Reading package lists... Done Building dependency tree Reading state information... Done The following NEW packages will be installed: hwloc-nox 0 upgraded, 1 newly installed, 0 to remove and 530 not upgraded. Need to get 151 kB of archives. After this operation, 453 kB of additional disk space will be used. Get:1 http://archive.ubuntu.com/ubunt........
  • ./xmr-stak: error while loading shared libraries: libmicrohttpd.so.10: cannot open shared object file: No such file or directory


    The solution is just to install libmicrohttpd-dev ./xmr-stak ./xmr-stak: error while loading shared libraries: libmicrohttpd.so.10: cannot open shared object file: No such file or directory libmicrohttpd libmicrohttpd10 - library embedding HTTP server functionality libmicrohttpd-dbg - library embedding HTTP server functionality (debug) libmicrohttpd-dev - library embedding HTTP server functionality (development) $ sudo apt-get i........
  • Debian Mint Ubuntu compiling xmr-stak


    sudo apt-get install libcurl4-openssl-dev git build-essential autotools-dev autoconf libcurl3 sudo apt-get install libcurl4-gnutls-dev git clone https://github.com/wolf9466/cpuminer-multi sudo apt-get install cmake libpthread-* libmicrohttpd-dev libssl-dev libhwloc-dev git clone https://github.com/fireice-uk/xmr-stak-cpu.git make install cd bin chmod +x xmr-stak-cpu ./xmr-stak -O xmr........
  • linux mint image convert menu option missing solution


    Ialready have the caja-image-converter option installed but it shows nothing. Weirdly enough if you install nemo and nautilus converter it does show and work inside caja: The solution is to install *-image-converter sudo apt-get install *-image-converter Reading package lists... Done Building dependency tree Reading state information... Done Note, selecting 'n........
  • Linux Mint Black Screen after boot no graphics solution


    This is not the normal "black screen"issue and I was shocked to eventually find out why. The normal advice of reconfiguring Xorg didn't work. Even booting into "Recovery Mode" did not help. Here is the short end of the stick that fixed it: sudo apt-get install mdm mate-desktop-environment Yes you got it right, mdm and the mate-desktop-environment / gnome were somehow uninstalled. This must be whe........
  • Linux how to view video card make and exact model


    Normally lspci will show you just like this and would suggest they are exactly the same card: 1a:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Ellesmere [Radeon RX 470/480/570/580] (rev e7) 1c:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Ellesmere [Radeon RX 470/480/570/580] (rev e7) lspci -vnn is the answer As we can see one is a Gigabyte and the other is an MSI card. Wha........
  • vbulletin 4.2.5 after upgrading from 3.6 white screen fatal php errors


    The code may lead you to believe you have an incompatible template but if you are not trying to use an old template currently that is not the issue. I actually deleted all 3.x style templates to make sure. What the issue is, is old plugins that are not compatible but Vbulletin does not seem to account for this except that you'll see a fatal PHPerror. You should disable all plugins and then enable one by one until you find the one that is causing the issue. &........
  • How to verify SSL SHA-1 Certificate Fingerprnit Signature of your mail/web server to avoid hijacking/man-in-the-middle attacks


    This is especially helpful if you run your own servers. If you are presented with an error message or warning that the signature has changed or does not match the IP/domain you are connecting to you always want to verify manually. So your e-mail/web client will show you an SHA-1 fingerprint like this: "Could not verify this certificate because the issuer is unkown" or other reasons such as a mismatch in IP/domain. It will also show you........
  • Linux Mint 17 How to Enable File Sharing Option in File Manager


    I still cannot understand how this would not be enabled by default and I struggled to find the reason why with manually installing samba etc.. wondering why the option for sharing was not in the menu. On Linux Mint "MATE" the package is called "caja-share" and on Cinnamon it is called "nemo-share" so edit the below command as necessary: *Also note that the "samba" package is necessary as it is not inst........
  • Virtualbox errors on Ubuntu/Debian/Mint


    The solution was to reinstall the vbox dkms package and do a manual modprobe of the modules it makes. I never sorted out the unable to start due to the USB issue, I did have the guest additions installed but the only way to boot was to change the pointing device from USB to PS2 and then to disable the USB controller (if your pointing device is set as USB, disabling USB will not work because it will re-enable by default when it sees your pointing device is USB, this is w........
  • Installing zoneminder on Ubuntu/Debian Linux Howto


    sudo apt-get install zoneminder [sudo] password for one: Reading package lists... Done Building dependency tree Reading state information... Done The following packages were automatically installed and are no longer required: libuser-perl python-evince kdebase-apps kwrite unixodbc libgnomeprint2.2-data python-soappy vgabios python-metacity hddtemp python-mediaprof........
  • kvm centos cannot compile error


    ./configure ./configure: cannot locate gcc 3.x. please install it or specify with --qemu-cc yum -y install gcc make ./configure ./configure: cannot locate gcc 3.x. please install it or specify with --qemu-cc yum -y install compat-gcc-* ./configure Error: Could not find alsa Make sure to have the alsa libs and headers installed. yum -y install alsa-lib-devel ./configure........
  • CPanel suhosin install failed


    /scripts/phpextensionmgr install PHPSuHosin Updating md5sum list Fetching http://httpupdate.cpanel.net/cpanelsync/easy/targz.yaml (connected:0).......(request attempt 1/12)...Resolving httpupdate.cpanel.net...(resolve attempt 1/65)... Fetching http://httpupdate.cpanel.net/mirror_addr_list (connected:0).......(request attempt 1/3)......connecting to 74.50.120.123...@74.50.120.123......connected......receiving...100%......request success......Done........
  • LSI MegaRAID Adventures, Guide and HowTo


    LSi Megaraid At first it was configured as a RAID 0, then I deleted the Virtual Disk Group. I thought both drives would be shown and detected in Linux as sda and sdb but it actually shows nothing. To make them work you have to hit Ctrl+R before the system boots (when prompted) and create a Virtual Disk Group. In my case I created each one as RAID 0 (with a single drive only) as I just wanted JBOD but there is no such option or default in these Dell Pe........
  • rkhunter update failed/dead?


    rkhunter --update Running updater... Mirrorfile /var/rkhunter/db/mirrors.dat rotated Using mirror http://rkhunter.sourceforge.net [DB] Mirror file : ERROR Fatal error: Problem while fetching file ........
  • yum update error


    yum update error Traceback (most recent call last): File "/usr/bin/yum", line 29, in ? yummain.user_main(sys.argv[1:], exit_code=True) File "/usr/share/yum-cli/yummain.py", line 229, in user_main errcode = main(args) File "/usr/share/yum-cli/yummain.py", line 145, in main (result, resultmsgs) = base.buildTransaction() &nbs........
  • Samsung Galaxy Note Ubuntu Linux USB Connection Error


    This pops up when connecting the phone and it doesn't seem to charge. The phone keeps showing a status message every few seconds "Connected as a media device". It's ridiculous why this phone doesn't just default as a simple USB Mass storage device. Here's what I see in /var/log/messages: Jan 30 18:51:27 QuadCoreAM2 kernel: [18038228.144046] usb 1-3: new high speed USB device using ehci_hcd and address 24 Jan 30 18:51:28 QuadCoreAM2 ke........
  • SSH error slow login debug1: An invalid name was supplied Cannot determine realm for numeric host address - Solution


    debug1: An invalid name was supplied Cannot determine realm for numeric host address debug1: Local version string SSH-2.0-OpenSSH_4.3p2 Debian-9etch3 debug1: An invalid name was supplied Cannot determine realm for numeric host address debug1: An invalid name was supplied A parameter was malformed Validation error Solution, disable auth from the ssh client (this is a client side error)........
  • How To Install CPanel


    wget -N http://httpupdate.cpanel.net/latest;sh latest That one command above will do it all (and it takes a long time to install/compile). After that you can access CPanel with your root login information by visiting https://yourdomain-or-ip.com:2087 I personally don't like CPanel (bloated, full of bugs, no shared SSL, difficult to use etc..)but I admit it's easier to install than........
  • Ubuntu 10 Nvidia Drivers Not Updated After Kernel Update Solution/How-To Manually Rebuild nvidia kernel modules for Ubuntu


    I dread updating the kernel and rebooting to find the Ubuntu graphics aren't working and you have to manually intervene. This is usually because Ubuntu for whatever reason didn't update the drivers you need (eg. the manually compiled Nvidia Kernel driver that MUST be recompiled for each and every kernel update unfortunately). The most common reason may be that "linux-source" hasn't been installed automatically on my system. I tried to manually reinstall the........
  • SSH delay problem UseDNS and disabling GSSAPI does not help


    The normal solution doesn't help or apply here: ssh -v user@192.168.5.41 OpenSSH_4.3p2 Debian-9etch3, OpenSSL 0.9.8c 05 Sep 2006 debug1: Reading configuration data /etc/ssh/ssh_config debug1: Applying options for * debug1: Connecting to 192.168.5.41 [192.168.5.41] port 22. debug1: Connection established. debug1: permanently_set_uid: 0/0 debug1: identity file /root/.ssh/identity type -1 debug1: i........
  • Ubuntu/Debian DRBD 8.0 Setup Guide


    I've only used it on Centos, soI thought I'd make a quick Debian guide: Install the DRBD Package apt-get install drbd8-utils Reading package lists... Done Building dependency tree Reading state information... Done The following packages were automatically installed and are no longer required: libswfdec-0.8-0 Use 'apt-get autoremove' to remove them. The following........
  • EOL for Kubuntu/Ubuntu 8.04 - W: Failed to fetch http://ca.archive.ubuntu.com/ubuntu/dists/intrepid/universe/source/Sources.gz 404 Not Found [IP: 91.189.92.171 80]


    I couldn't figure out whyI couldn't install a simple package. This is what's annoying about cutting edge Debian distros, yes we know you support each license on average for 1-2 years but why take down the supporting binary packages and basically disable the older versions? sudo apt-get install update Reading package lists... Done Building dependency tree Reading state information... Done E: Couldn't find p........
  • Wine stopped working/won't work Solution


    After an upgrade wine wouldn't open anything, not even the pre-installed notepad. There are no wine logs and nothing is mentioned in any standard log file about why. I finally decided to run wine from the shell and see what's going on: wine client error:0: version mismatch 398/402. Your wineserver binary was not upgraded correctly, or you have an older one somewhere in your PATH. Or maybe the wrong wineserver is still running?........
  • CPanel Cannot Login Internal Server Error Could not fetch uid or gid for : root https://192.168.1.42:2083


    Internal Server Error Could not fetch uid or gid for : root https://192.168.1.42:2083 The reason for this is because the administration port is actually on port 2087, change the port and you'll be good to go.........
  • Use rcconf to edit startup/init.d/init scripts on Debian/Ubuntu based distributions


    I've never understood how to enable and disable services for different run levels in Debian based distros, it's just weird, annoying and doesn't make sense. I much prefer chkconfig from RHEL. Just install the package called 'rcconf' and be done with it. rcconf makes things easy for you. apt-get install rcconf Reading package lists... Done Building dependency tree Reading state information... Done........
  • XMPP Chat Protocol using Jabber - Guide Tutorial Setup Linux Chat Server


    In Debian based distros: apt-get install jabber Reading package lists... Done Building dependency tree Reading state information... Done The following packages were automatically installed and are no longer required: fakeroot dkms Use 'apt-get autoremove' to remove them. The following extra packages will be installed: jabber-common The following NEW packag........
  • PHP cannot access /usr/bin/openssl


    PHP cannot access /usr/bin/opensslI have verified the username that runs the process is able to access /usr/bin/openssl and it does exist but the PHP script is saying it doesn't exist: [code:1:1fd0f3abbe] if (!file_exists($OPENSSL)) { //echo "ERROR: OPENSSL $OPENSSL not foundn"; }[/code:1:1fd0f3abbe] I don't get itI can clearly see the contents of /usr/bin by using the PHP system fu........
  • iPhone 3GS 32GB "Harsh Review"


    Yes, Iadmit I finally got bitten by the hype as much as I can usually see through it all. Keep in mind this review is of the "stock" phone, no jailbreaking yet which is what really unleashes the customizability and whyI bought iPhone. I had better things to say about this phone before buying it, and it is a great phone, perhaps the best on the market by far, if not because of the Mac OS port onto the iPhone and all the apps, etc, etc. With that said........
  • Latest Articles

  • virt-resize: error: libguestfs error: could not create appliance through libvirt.
  • Asterisk Does Not Retry When Authentication Fails
  • Linux Debian Ubuntu How To Install PEPPER Faster and Latest Adobe Flash Player in Firefox
  • How To Speed Up Linux Ubuntu and Debian Based Computers By Improving CPU Performance and Changing the CPU Governor
  • Convert data or file to base64 on a single line
  • Linux Mint Ubuntu Debian radeon slow 2D performance issues radeon_dp_aux_transfer_native: 158 callbacks suppressed
  • mdadm: super0.90 cannot open /dev/sdb1: Device or resource busy mdadm: /dev/sdb1 is not suitable for this array.
  • How To Install NextCloud on Centos 7 and Centos 8
  • AH01630: client denied by server configuration:
  • ERROR: Could not find a version that satisfies the requirement PIL (from versions: none) ERROR: No matching distribution found for PIL
  • ZTE Camera Cannot Work unable to connect to camera. Camera has been disabled becaue of security policies or is being used by other apps
  • QEMU KVM how to boot off a physical CD/DVD/BDROM Drive
  • How To Install OpenProject on Centos 7 Step-by-Step Guide
  • Ubuntu Debian Linux Cannot Install Wine Solution - wine1.6 : Depends: wine1.6-i386 (= 1:1.6.2-0ubuntu14.2) but it is not installable wine1.4 : Depends: wine1.6 but it is not going to be installed
  • How To Install python 3.4 3.5 and up on Linux with wine - Working Solution
  • using Xvfb on virtual remote ssh server to have X graphical programs work
  • ssh Received disconnect from port 22:2: Too many authentication failures
  • named bind errors - DNSKEY: unable to find a DNSKEY which verifies the DNSKEY RRset and also matches a trusted key for '.'
  • OpenVZ vs LXC DIR mode poor security in LXC
  • httpd: Syntax error on line 221 of /etc/httpd/conf/httpd.conf: Syntax error on line 6 of /etc/httpd/conf.d/php.conf: Cannot load modules/libphp5.so into server: /lib64/libresolv.so.2: symbol __h_errno, version GLIBC_PRIVATE not defined in file libc.s